﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinToolbars;
using System.Diagnostics;

namespace WinToolbarsManagerContainerTools
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            // ----------------------------------------------------------------------------
            // Create a toolbar and add it to the UltraToolbarManager's toolbars collection.
            this.ultraToolbarsManager1.Toolbars.AddToolbar("FormattingOptions");


            // ----------------------------------------------------------------------------
            // Create a PopupColorPickerTool, FontListTool, PopupControlContainerTool and
            // ControlContainerTool and add them to the toolbar.
            PopupControlContainerTool popupControlContainerTool = new PopupControlContainerTool("ShowMarkupText");
            ControlContainerTool controlContainerTool = new ControlContainerTool("TextSize");


            // Always add new tools to the UltraToolbarManager's root tools collection
            // before adding them to menus or toolbars.
            this.ultraToolbarsManager1.Tools.AddRange(new ToolBase[] { popupControlContainerTool, controlContainerTool });


            // Add the tools to the toolbar.
            this.ultraToolbarsManager1.Toolbars["FormattingOptions"].Tools.AddTool("ShowMarkupText");
            this.ultraToolbarsManager1.Toolbars["FormattingOptions"].Tools.AddTool("TextSize");


            // Set some properties on the PopupControlContainerTool.
            popupControlContainerTool.SharedProps.Caption = "Options";
            this.ultraToolbarsManager1.Toolbars["FormattingOptions"].Tools["ShowMarkupText"].InstanceProps.DisplayStyle = ToolDisplayStyle.TextOnlyAlways;
            this.ultraToolbarsManager1.Toolbars["FormattingOptions"].Tools["ShowMarkupText"].InstanceProps.IsFirstInGroup = true;


            // Set some properties on the ControlContainerTool.
            this.ultraToolbarsManager1.Toolbars["FormattingOptions"].Tools["ShowMarkupText"].InstanceProps.IsFirstInGroup = true;



            // ----------------------------------------------------------------------------
            // first control

            CheckBox checkBox = new CheckBox();
            checkBox.Text = "my checkbox";
            checkBox.Width = 150;
            checkBox.Location = new Point(5, 0);
            this.Controls.Add(checkBox);
            // Listen to the checkbox's click event.
            checkBox.Click += new System.EventHandler(this.OnCheckboxClicked);

            //second control
            Button btn = new Button();
            btn.Location = new Point(5,30);
            btn.Size = new Size(50, 50);
            btn.Text = "button";
            this.Controls.Add(btn);
          

            Panel panel = new Panel();
            panel.Controls.Add(checkBox);
            panel.Controls.Add(btn);

            this.Controls.Add(panel);

            popupControlContainerTool.Control = panel;

            // Since we only have one checkbox control, don't allow multiple instances of the
            // PopupControlContainerTool to be created.
            popupControlContainerTool.SharedProps.AllowMultipleInstances = false;


        }

        private void OnCheckboxClicked(object sender, EventArgs e)
        {

            Debug.WriteLine("Checkbox clicked!");

            // Close the dropdown manually since PopupConrolContainerTools do not closeup automatically.
            PopupControlContainerTool popupControlContainerTool = this.ultraToolbarsManager1.Toolbars["FormattingOptions"].Tools["ShowMarkupText"] as PopupControlContainerTool;

            if (popupControlContainerTool != null)
                popupControlContainerTool.ClosePopup();

        }
    }
}
